com.trendmicro.ds.platform.rest.object

## Class EventBasedTask

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.EventBasedTask

-     public class EventBasedTask
      extends java.lang.Object

  Details of an event-based task.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EventBasedTask.EventType` Event types that can trigger an event-based task.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBasedTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventBasedTask` | `disable()` Set the enabled state to `false` for this task.
    `EventBasedTask` | `enable()` Set the enabled state to `true` for this task.
    `java.util.List<Action>` | `getActions()` Get the actions that will be performed by this task.
    `java.util.List<Condition>` | `getConditions()` Get the conditions that must be true for this task to start.
    `java.lang.Integer` | `getId()` Get the task's identifier.
    `java.lang.String` | `getName()` Get the name to use when displaying this task.
    `EventBasedTask.EventType` | `getType()` Get the event type that will trigger this task.
    `boolean` | `isEnabled()` Get the enabled state for this task.
    `void` | `setActions(java.util.List<Action> actions)` Set the actions that will be performed by this task.
    `void` | `setConditions(java.util.List<Condition> conditions)` Set the conditions that must be true for this task to start.
    `void` | `setEnabled(boolean enabled)` Set the enabled state for this task.
    `void` | `setId(java.lang.Integer id)` Set the task's identifier.
    `void` | `setName(java.lang.String name)` Set the name to use when displaying this task.
    `void` | `setType(EventBasedTask.EventType type)` Set the event type that will trigger this task.
    `EventBasedTask` | `withActions(Action... actions)` Set the actions that will be performed by this task.
    `EventBasedTask` | `withActions(java.util.List<Action> actions)` Set the actions that will be performed by this task.
    `EventBasedTask` | `withConditions(Condition... conditions)` Set the conditions that must be true for this task to start.
    `EventBasedTask` | `withConditions(java.util.List<Condition> conditions)` Set the conditions that must be true for this task to start.
    `EventBasedTask` | `withEnabled(boolean enabled)` Set the enabled state for this task.
    `EventBasedTask` | `withId(java.lang.Integer id)` Set the task's identifier.
    `EventBasedTask` | `withName(java.lang.String name)` Set the name to use when displaying this task.
    `EventBasedTask` | `withType(EventBasedTask.EventType type)` Set the event type that will trigger this task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBasedTask

          public EventBasedTask()

  - ### Method Detail

    - #### getId

          public java.lang.Integer getId()

      Get the task's identifier.
      Returns:
        the task's identifier.

    - #### setId

          public void setId(java.lang.Integer id)

      Set the task's identifier.
      Parameters:
        `id` - the task's identifier.

    - #### withId

          public EventBasedTask withId(java.lang.Integer id)

      Set the task's identifier.
      Parameters:
        `id` - the task's identifier.
      Returns:
        the updated EventBasedTask object.

    - #### getName

          public java.lang.String getName()

      Get the name to use when displaying this task.
      Returns:
        the name to use when displaying this task.

    - #### setName

          public void setName(java.lang.String name)

      Set the name to use when displaying this task.
      Parameters:
        `name` - the name to use when displaying this task.

    - #### withName

          public EventBasedTask withName(java.lang.String name)

      Set the name to use when displaying this task.
      Parameters:
        `name` - the name to use when displaying this task.
      Returns:
        the updated EventBasedTask object.

    - #### getType

          public EventBasedTask.EventType getType()

      Get the event type that will trigger this task.
      Returns:
        the event type that will trigger this task.

    - #### setType

          public void setType(EventBasedTask.EventType type)

      Set the event type that will trigger this task.
      Parameters:
        `type` - the event type that will trigger this task.

    - #### withType

          public EventBasedTask withType(EventBasedTask.EventType type)

      Set the event type that will trigger this task.
      Parameters:
        `type` - the event type that will trigger this task.
      Returns:
        the updated EventBasedTask object.

    - #### isEnabled

          public boolean isEnabled()

      Get the enabled state for this task.
      Returns:
        the enabled state for this task.

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Set the enabled state for this task.
      Parameters:
        `enabled` - the enabled state for this task.

    - #### withEnabled

          public EventBasedTask withEnabled(boolean enabled)

      Set the enabled state for this task.
      Parameters:
        `enabled` - the enabled state for this task.
      Returns:
        the updated EventBasedTask object.

    - #### disable

          public EventBasedTask disable()

      Set the enabled state to `false` for this task.
      Returns:
        the EventBasedTask object.

    - #### enable

          public EventBasedTask enable()

      Set the enabled state to `true` for this task.
      Returns:
        the EventBasedTask object.

    - #### getConditions

          public java.util.List<Condition> getConditions()

      Get the conditions that must be true for this task to start.
      Returns:
        the conditions that must be true for this task to start.

    - #### setConditions

          public void setConditions(java.util.List<Condition> conditions)

      Set the conditions that must be true for this task to start.
      Parameters:
        `conditions` - the conditions that must be true for this task to start.

    - #### withConditions

          public EventBasedTask withConditions(java.util.List<Condition> conditions)

      Set the conditions that must be true for this task to start.
      Parameters:
        `conditions` - the conditions that must be true for this task to start.
      Returns:
        the updated EventBasedTask object.

    - #### withConditions

          public EventBasedTask withConditions(Condition... conditions)

      Set the conditions that must be true for this task to start.
      Parameters:
        `conditions` - the conditions that must be true for this task to start.
      Returns:
        the updated EventBasedTask object.

    - #### getActions

          public java.util.List<Action> getActions()

      Get the actions that will be performed by this task.
      Returns:
        the actions that will be performed by this task.

    - #### setActions

          public void setActions(java.util.List<Action> actions)

      Set the actions that will be performed by this task.
      Parameters:
        `actions` - the actions that will be performed by this task.

    - #### withActions

          public EventBasedTask withActions(java.util.List<Action> actions)

      Set the actions that will be performed by this task.
      Parameters:
        `actions` - the actions that will be performed by this task.
      Returns:
        the updated EventBasedTask object.

    - #### withActions

          public EventBasedTask withActions(Action... actions)

      Set the actions that will be performed by this task.
      Parameters:
        `actions` - the actions that will be performed by this task.
      Returns:
        the updated EventBasedTask object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.